PdxInfo (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.runtime, class: PdxInfo

Package org.apache.geode.management.runtime

# Class PdxInfo

java.lang.Object
org.apache.geode.management.runtime.RuntimeInfo
org.apache.geode.management.runtime.PdxInfo

All Implemented Interfaces:
  `Serializable`, `JsonSerializable`

@Experimental public class PdxInfo extends RuntimeInfo

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdxInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getDiskStoreName()`
  `String`
  `getPdxSerializer()`
  `int`
  `hashCode()`
  `boolean`
  `isIgnoreUnreadFields()`
  `boolean`
  `isReadSerialized()`
  `void`
  `setDiskStoreName(String diskStoreName)`
  `void`
  `setIgnoreUnreadFields(boolean ignoreUnreadFields)`
  `void`
  `setPdxSerializer(String pdxSerializer)`
  `void`
  `setReadSerialized(boolean readSerialized)`

  ### Methods inherited from class org.apache.geode.management.runtime.RuntimeInfo

  `getMemberName, setMemberName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PdxInfo

    public PdxInfo()

- ## Method Details

  - ### isReadSerialized

    public boolean isReadSerialized()

  - ### setReadSerialized

    public void setReadSerialized(boolean readSerialized)

  - ### getDiskStoreName

    public String getDiskStoreName()

  - ### setDiskStoreName

    public void setDiskStoreName(String diskStoreName)

  - ### isIgnoreUnreadFields

    public boolean isIgnoreUnreadFields()

  - ### setIgnoreUnreadFields

    public void setIgnoreUnreadFields(boolean ignoreUnreadFields)

  - ### getPdxSerializer

    public String getPdxSerializer()

  - ### setPdxSerializer

    public void setPdxSerializer(String pdxSerializer)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `RuntimeInfo`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `RuntimeInfo`